Bug 122914 - Opening a Style dialog's Borders tab adds Shadow properties to the property set in the style (again)
Summary: Opening a Style dialog's Borders tab adds Shadow properties to the property s...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-01-24 06:03 UTC by Mike Kaganski
Modified: 2019-01-28 16:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-01-24 06:03:04 UTC
In https://git.libreoffice.org/core/+/b37a46fdf91dbc66f6ddc1c070aec70716d94a01, addition of Shadow properties to the style's properties after simple opening Borders tab in properties dialog was fixed (in 6.1). But it reappeared again in 6.2.

To reproduce: as in bug 115938, just open a style (Character or Paragraph) properties dialog in Writer, check that Organizer doesn't have Shadow properties listed, switch to Borders tab (don't modify anything!), switch back to Organizer tab and see that the properties are there.

This is regression from https://git.libreoffice.org/core/+/229483707c3ccb48d008d37f856bbeb6df199a90. Also other tabs are now affected: Indents & Spacing, Alignment, Area.
Comment 1 Commit Notification 2019-01-24 19:02:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c66027d18eecaf29962e251def4203091d1669f3%5E%21

Related: tdf#122914 visiting alignment page sets an SvxAdjustItem

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2019-01-24 19:04:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ba5eaf86a84212ab70424fc83464acec5b0d51a0%5E%21

Resolves: tdf#122914 missing save_value

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-01-24 21:12:43 UTC
Fixed this specific one in master, backports in gerrit. And another one in the alignment page.
Comment 4 Commit Notification 2019-01-25 08:32:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7666c1e958a6e2326b38497b4acb763f8fa53ea6%5E%21

Resolves: tdf#122914 missing save_value

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-01-25 08:34:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/14f9cd1009074e447a73a66ca65349ac3c2440bc%5E%21

Related: tdf#122914 visiting alignment page sets an SvxAdjustItem

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-01-28 16:07:11 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: ef28740d0ae036f6fa2e9866cadf335e9f0ad8b9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!